
var app = getApp()
var that;
Page({
  data: {
    date: app.globalData.month,
    minuteIndex: 0,//条件选择
    minuteArray: [
      { id: 1, name: '总分' },
      { id: 2, name: '早到' },
      { id: 3, name: '迟到' },
      { id: 2, name: '加班' },
      { id: 3, name: '请假' },
    ],
    showDate: false,//是否显示时间组件
    selectDateVal: '月',
    TisrrIndex: 0,//条件选择
    page: 1,
    date_type: 3,
    getData: '',
  },
  onLoad() {
    that = this;
    dd.setNavigationBar({ title: "考勤积分排名" });
    this.getTisrr();
  },
  openDetail(e) {
    var item= e.target.dataset.item;
    var type=that.data.minuteIndex + 1;
    dd.navigateTo({
      url: '../checkDetail/checkDetail?id='+item.id+'&type='+type+'&date_type='+that.data.date_type+'&item='+JSON.stringify(item)
    })
  },
  getData(is) {
    dd.showLoading();
    var data = {
      type: that.data.minuteIndex + 1,
      date_type: that.data.date_type,
      page: that.data.page,
      page_size: 10,
      group_id: that.data.tisrrArr[that.data.TisrrIndex].id,
    }
    if (that.data.date_type == 2) {
      data.start_date = that.data.dateObj[0];
      data.end_date = that.data.dateObj[1];
    } else {
      data.month_date = that.data.dateObj || that.data.date;
    }
    app.$post('api/ad/rank', data).then((res) => {
      var data = res.data.data.list;
      if (is) {
        if (data.length == 0) {
          setTimeout(() => {
            app.globalData.showToast("已无更多咯");
          }, 1000);
          return;
        }
        var list = that.data.list;
        this.setData({
          list: list.concat(data)
        })
      } else {
        this.setData({
          list: data
        })
      }
    dd.hideLoading();
  })
  },
//上啦加载
onScrollToLower() {
  this.setData({ page: ++that.data.page })
  this.getData(true);
},

//选择时间
onConfirmDate(data) {
  that.setData({
    dateObj: data.date,
    date_type: data.type == 1 ? 3 : data.type,
    page: 1,
    selectDateVal:data.type == 1 ? '月' : '日',
  })
  this.getData();
},
//关闭弹窗
onClose() {
  this.setData({ showDate: false})
},
//条件选择
bingMinute(e) {
  this.setData({
    minuteIndex: e.detail.value,
    page: 1
  });
  this.getData();
},
bingMinute2(e) {
  this.setData({
    TisrrIndex: e.detail.value,
    page: 1
  });
  this.getData();
},

activeItem(e) {
  var index = e.target.dataset.index;
  this.setData({ activeIndex: index })
},

//显示时间选择组件
selectDate() {
  this.setData({ showDate: !this.data.showDate })
},

getTisrr() {
  app.$get('api/ad/groups', {}).then((res) => {
    var arr = [];
    var data = res.data.data.list;
    for (let k in data) {
      arr.push({ id: k, name: data[k] })
    }
    this.setData({
      tisrrArr: arr
    })
    this.getData()
  })
},
});
